- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 31d9b7df-ee4f-4a53-9d76-4c9f5ac65477
    creation_time: 2023-02-17T13:36:49.364123Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound2.c: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound2.c
    file_hash: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: a == y * r + x * p && b == x * q + y * s
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 861a4733-79c8-4705-a0ed-a30d247cc4fd
    creation_time: 2023-02-17T13:36:49.364307Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound2.c: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound2.c
    file_hash: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
    line: 42
    column: 0
    function: main
  loop_invariant:
    string: k * b + c == a == y * r + x * p && b == x * q + y * s
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 75cabcd8-4441-469e-a22f-0398ee29542d
    creation_time: 2023-02-17T13:36:49.364403Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound2.c: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound2.c
    file_hash: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
    line: 49
    column: 0
    function: main
  loop_invariant:
    string: k * b + c == a == y * r + x * p && b == x * q + y * s && v == b * d
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 151d3f4c-195c-4197-ae42-7843dfd9e842
    creation_time: 2023-02-17T13:36:49.364693Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound2.c: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound2.c
    file_hash: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
    line: 50
    column: 0
    function: main
  location_invariant:
    string: a == y * r + x * p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 39c7c9c8-67f8-411d-95ee-ce8e5b3cb45d
    creation_time: 2023-02-17T13:36:49.364777Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound2.c: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound2.c
    file_hash: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
    line: 51
    column: 0
    function: main
  location_invariant:
    string: b == x * q + y * s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 4de098aa-18f3-4fd0-a36a-e9fbbac89aff
    creation_time: 2023-02-17T13:36:49.364929Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound2.c: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound2.c
    file_hash: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
    line: 52
    column: 0
    function: main
  location_invariant:
    string: a == k * b + c
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c64011e9-0df6-4221-96ed-eb361d601882
    creation_time: 2023-02-17T13:36:49.365023Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound2.c: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound2.c
    file_hash: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
    line: 53
    column: 0
    function: main
  location_invariant:
    string: v == b * d
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 593babbd-1ccc-4c3e-abc2-a5ab34339cb1
    creation_time: 2023-02-17T13:36:49.365103Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound2.c: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound2.c
    file_hash: bda512f5ab4e84c08e80fd02a1c07c8fba5ca60aa45d55edfde2cc268dd1288e
    line: 74
    column: 0
    function: main
  location_invariant:
    string: p*x - q*x + r*y - s*y  == a
    type: assertion
    format: C

